> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get the list of all the events for the received emails.

GET https://api.brevo.com/v3/inbound/events

This endpoint will show the list of all the events for the received emails. When no date range is provided, the last 30 days of events are returned by default.

Reference: https://developers.brevo.com/reference/get-inbound-email-events

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Query parameters

- `sender` (string, optional) — Email address of the sender.
- `startDate` (string, optional) — Mandatory if endDate is used. Starting date (YYYY-MM-DD or YYYY-MM-DDTHH:mm:ss.SSSZ) from which you want to fetch the list. Maximum time period that can be selected is 30 days. Must not be in the future.
- `endDate` (string, optional) — Mandatory if startDate is used. Ending date (YYYY-MM-DD or YYYY-MM-DDTHH:mm:ss.SSSZ) till which you want to fetch the list. Maximum time period that can be selected is 30 days. Must not be in the future.
- `limit` (long, optional, default: 100) — Number of documents returned per page
- `offset` (long, optional, default: 0) — Index of the first document on the page
- `sort` (enum, optional, default: desc) — Sort the results in the ascending/descending order of record creation
  - Allowed values: `asc`, `desc`

## Response

### 200

List of events for received emails.

- `events` (list of object, optional)
  - `date` (datetime, required) — Date when email was received on SMTP relay
  - `recipient` (string, required) — Recipient’s email address
  - `sender` (string, required) — Sender’s email address
  - `uuid` (string, required) — UUID that can be used to fetch additional data

## Examples

**Response**

```json
{
  "events": [
    {
      "date": "2017-03-11T12:30:00.000Z",
      "recipient": "alexa@example.com",
      "sender": "john@example.com",
      "uuid": "1a825d56-029b-4a41-b8e4-1a825d56"
    },
    {
      "date": "2017-03-12T12:30:00.000Z",
      "recipient": "bob@example.com",
      "sender": "alice@example.com",
      "uuid": "1a825d56-029b-4a41-b8e4-61670463431b"
    }
  ]
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.inboundParsing.getInboundEmailEvents({});
}
main();

```

```python response
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.inbound_parsing.get_inbound_email_events()

```

```php response
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\InboundParsing\Requests\GetInboundEmailEventsRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->inboundParsing->getInboundEmailEvents(
    new GetInboundEmailEventsRequest([]),
);

```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/inbound/events"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/inbound/events")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/inbound/events")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/inbound/events");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/inbound/events")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```